'*******************************************************************************
'* 作成者   : 株式会社エコー・システム 
'* 作成日   : 2005/01/11
'* 概要     : メッセージボックスフォーム表示クラス
'* 更新履歴 : 
'* ﾊﾞｰｼﾞｮﾝ  : 1.0
'*******************************************************************************

Public Class clsWrpMsg

    Private WithEvents frmMessage As New frmWrpMsg
    Private WithEvents tmrClose As Timer

    Private mstrImgFile As String               '画像ファイル
    Private mintRtnCode As Integer              '押下されたボタンID
    Private mintSelection As Integer            '選択されたモード
    Public gstrRtnCode As String                '押下されたボタン名



    '// プロパティ定義エリア /////////////////////////////////////////////////////////////////////

    Public WriteOnly Property pImgFile() As String
        Set(ByVal strValue As String)
            mstrImgFile = strValue
        End Set
    End Property
    Public WriteOnly Property pSelection() As Integer
        Set(ByVal strValue As Integer)
            mintSelection = strValue
        End Set
    End Property
    Public ReadOnly Property pRtnCode() As String
        Get
            pRtnCode = mintRtnCode
        End Get
    End Property

    '// メソッド定義エリア /////////////////////////////////////////////////////////////////////

    Public Sub sMsgBox()

        frmMessage.pImgFile = mstrImgFile
        frmMessage.pSelection = mintSelection
        'MsgBoxを表示
        'frmMessage.Show()
        frmMessage.ShowDialog()

        mintRtnCode = frmMessage.pRtnCode

        frmMessage.Dispose()

    End Sub

    

    '4秒後にフォームを閉じる(OKボタン押下の値を返す)
    Private Sub tmrClose_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles tmrClose.Tick

        System.Threading.Thread.Sleep(4000)
        frmMessage.Dispose()
        tmrClose.Dispose()
        gstrRtnCode = "OK"

    End Sub

End Class
